<template>
	<view class="content">
		<view class="login">
			<view class="editem">
				<view class="item">
					<view class="text">密码</view>
					<view class="input">
						<input class="uni-input" v-model="password" placeholder="请输入密码" />
					</view>
				</view>
				<view class="item">
					<view class="text">确认密码</view>
					<view class="input">
						<input class="uni-input" v-model="password2" placeholder="请输入确认密码" />
					</view>
				</view>
			</view>
			<view class="btnlogin" @click="handleTelLogin">确认</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				password: "",
				password2: "",
			}
		},
		onLoad() {},
		methods: {
			// 登录、
			handleTelLogin() {
				let that = this
				if (!that.password) {
					that.$tools.msg("请填写密码")
					return
				}
				if (!that.password2) {
					that.$tools.msg("请确认密码")
					return
				}
				if (that.password2 != that.password) {
					that.$tools.msg("请确认两次密码填写一致")
					return
				}
				that.$model.getAccountPassword({
					password: that.password,
					c_password: that.password2,
				}).then(res => {
					console.log("注册", res)
					if (res.code != 0) {
						that.$tools.msg(res.msg)
					} else {
						that.$tools.msg("密码设置成功")
						setTimeout(function() {
							uni.navigateBack()
						}, 1000)
					}
				}).catch(err => {})
			},
		}
	}
</script>

<style scoped lang="scss">
	.content {
		width: 100%;
		height: 100vh;
		background-color: #fff;
	}

	.login {
		width: calc(100% - 30px);
		height: auto;
		background: #fff;
		border-radius: 10px;
		padding: 15px;
		z-index: 99;

		.editem {
			position: relative;
			display: flex;
			align-items: center;
			font-size: 28rpx;
			justify-content: space-between;
			flex-wrap: wrap;


			.item {
				width: 100%;
				display: flex;
				align-items: center;
				justify-content: space-between;
				margin-bottom: 15px;

				.text {
					width: 80px;
					height: 40px;
					line-height: 40px;
					font-size: 32rpx;
				}

				.input {
					width: calc(100% - 100px);
					height: 35px;
					line-height: 35px;
					display: flex;
					position: relative;
					border: #dfdfdf 1px solid;
					border-radius: 5px;
					padding: 0 10px;
					background-color: #f7f7f7;
				}

				input {
					height: 40px;
					line-height: 40px;
					position: absolute;
					left: 10px;
					right: 0px;
					z-index: 88;
					font-size: 28rpx;
				}
			}
		}

		.btnlogin {
			width: 100%;
			margin: 15px 0;
			height: 42px;
			line-height: 42px;
			background: $btncolor;
			font-weight: 700;
			border-radius: 15px;
			text-align: center;
			color: #fff !important;
		}
	}
</style>